import { ILayer, IMapService, IRendererService, IBaseTileLayerManager } from '@antv/l7-core';
import { Tile } from '@antv/l7-utils';
export declare class BaseMapTileLayerManager implements IBaseTileLayerManager {
    sourceLayer: string;
    parent: ILayer;
    children: ILayer[];
    mapService: IMapService;
    rendererService: IRendererService;
    private tileFactory;
    private initOptions;
    constructor(parent: ILayer, mapService: IMapService, rendererService: IRendererService);
    createTile(tile: Tile): {
        layers: ILayer[];
        layerIDList: string[];
    };
    updateLayersConfig(layers: ILayer[], key: string, value: any): void;
    addChild(layer: ILayer): void;
    addChilds(layers: ILayer[]): void;
    removeChilds(layerIDList: string[], refresh?: boolean): void;
    removeChild(layer: ILayer): void;
    getChilds(layerIDList: string[]): ILayer[];
    getChild(layerID: string): ILayer;
    clearChild(): void;
    hasChild(layer: ILayer): boolean;
    render(): void;
    private setSubLayerInitOptipn;
    private getSourceLayer;
    private initTileFactory;
}
